Skip to content

API reference

Run a read operation

execute_read — Run any read operation (kind R or L) found with tools_search.

execute_read · Reads saved data

Run any read operation (kind R or L) found with tools_search. Permissions are checked exactly as when calling it directly.

REST POST /api/public/v1/operations/read
MCP tool execute_read
Permission needed view — Owner, Manager, Operator, Viewer
Scope group accounts:read
Group Indirect calls and docs
Shown up front in profiles every profile (core set)

Input

Field Type Required Description
id string (0–64 chars) Yes Operation id.
args object No The operation's input fields.

Result

Returned in the { data, meta } envelope, without creating a job on X. Lists include next_cursor and has_more.

Example

Call over REST

curl -X POST "https://reach-link-craft.lovable.app/api/public/v1/operations/read" \
  -H "Authorization: Bearer $XBUDDY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"id":"00000000-0000-4000-8000-000000000001"}'

Call over MCP

{
  "method": "tools/call",
  "params": {
    "name": "execute_read",
    "arguments": {
      "id": "00000000-0000-4000-8000-000000000001"
    }
  }
}

Errors you may get

Back to all operations